/*
 * This version of grayscaling is based on taking uniform
 * average of red,green,blue for each pixel. Unfortunately,
 * such an average is not very pleasing.
 *
 * See grayscale_luminosity for better approach.
 */

// Can either load an image stored locally, as follows:
// PImage slu = loadImage("campus4.jpg");

// Or can load an image from a URL
PImage slu = loadImage("http://business.slu.edu/uploads/2012/11/08/slu-homepage-campus4.jpg");

int w = slu.width;
int h = slu.height;

for (int x=0; x < w; x++) {
  for (int y=0; y < h; y++) {
    color c = slu.get(x,y);
    float gray = (red(c) + green(c) + blue(c))/3;  // divide by 3 to average
    color replace = color(gray);
    slu.set(x,y,replace);
  }
}

// time to display it
size(w,h);
image(slu,0,0);
